//----------------------- CSPApplication.h --------------------

//*************************************************************
//*****       Copyright ©2002 - 2004 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************

#ifndef _CSPAPPLICATION
#define _CSPAPPLICATION

#include "CSPConf.h"
#include "CSPLib.h"
#include "CSPMap.h"
#include "CSPSession.h"

class CSPApplicationBroker;

class CSPOBJ_CLASS_EXPORT CSPApplication : public CSPObject
{
	public:
		CSPApplication( CSPApplicationBroker& ApplicationBroker, const CSPString& strAppID );
		virtual ~CSPApplication();

		CSPVariant operator ()( const CSPString& strItemName ) const;
		CSPVariant GetValue( const CSPString& strItemName ) const;
		void SetValue( const CSPString& strItemName, const CSPVariant& varValue );
		void Lock();
		void Unlock();
		const CSPString& GetAppID() const;

	protected:
		const CSPString m_strAppID;
		CSPApplicationBroker& AppBroker;
};

#endif
